Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Reproduce by the following step.

1. Add the user-A to the group and then lock the user-A.

2. Add the group to the issue's watcher.

3. A notification is sent to locked user-A when the issue is updated.

Related issues:

Related to Redmine - Feature #4511: Allow adding user groups as watchers for ... Closed 2010-01-01

Associated revisions

Revision 19998 - 2020-09-01 16:08 - Go MAEDA

Locked users in a group receive notifications when the group is added as a watcher (#4511, #33935).

Patch by Yuichi HARADA.

History

#1 - 2020-09-01 02:52 - Yuichi HARADA

- File fixed-33935.patch added

The following patch solved the issue.

diff --git a/lib/plugins/acts_as_watchable/lib/acts_as_watchable.rb b/lib/plugins/acts_as_watchable/lib/acts_a

s_watchable.rb

index 6b16e18a5..bb71a2884 100644

--- a/lib/plugins/acts_as_watchable/lib/acts_as_watchable.rb

+++ b/lib/plugins/acts_as_watchable/lib/acts_as_watchable.rb

@@ -73,7 +73,7 @@ module Redmine

         def notified_watchers

           notified = watcher_users.active.to_a

-          notified = notified.map {|n| n.is_a?(Group) ? n.users : n}.flatten

+          notified = notified.map {|n| n.is_a?(Group) ? n.users.active : n}.flatten

           notified.uniq!

           notified.reject! {|user| user.mail.blank? || user.mail_notification == 'none'}

           if respond_to?(:visible?)

#2 - 2020-09-01 02:58 - Go MAEDA

- Subject changed from Send notifications to the locked users of group members to Locked users in a group get notification when the group is added

as a watcher

- Status changed from New to Confirmed

#3 - 2020-09-01 02:58 - Go MAEDA

- Related to Feature #4511: Allow adding user groups as watchers for issues added

#4 - 2020-09-01 16:09 - Go MAEDA

- Subject changed from Locked users in a group get notification when the group is added as a watcher to Locked users in a group receive notifications

when the group is added as a watcher

- Status changed from Confirmed to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch in r19998 as a part of #4511. Thank you.

Files

fixed-33935.patch 2.04 KB 2020-09-01 Yuichi HARADA
